| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.SP3File Class Reference

Class for reading SP3 files. More...

Inheritance diagram for EECFI.SP3File:

List of all members.

## Public Member Functions
| SP3File ()
| Constructor.
| SP3File (String fileNam)
| Constructor with file name.
void | read () throws CfiError
| Read the whole file data block.
native void | read (OsvListReadConfiguration osvListReadConfig) throws CfiError
| Read the file data block (base method, called by the other methods).
## Public Attributes
long | type
| XDCFISP3FileTypeEnum (position of position+velocity).
double | globalTimeStart
| Gegorian initial time for all the file (MJD2000).
String | dataUsed
| Data used descriptor.
String | coordinateSystem
| Name of the coordinate system used as written in SP3 file.
String | orbitType
| Orbit type descriptor.
String | agency
| Name of the agency that generated the file.
long | gpsWeek
| GPS week.
double | secondsOfWeek
| Seconds of the week elapsed at the start of the orbit.
double | epochIntervalSeconds
| Epoch interval in seconds.
double | julianDateStart
| Modified Julina day start.
double | fractionalDay
| Fractional part of the day (0.0 <= fractional < 1.0) at the start of the orbit.
long | numSat
| Number of satellites.
long | fileTypeDescriptor
| File descriptor (XDCFISP3FileDescriptorEnum).
long | timeSystemIndicator
| Time system used in file (XDSP3TimeSystemEnum).
double | posVelStdDev
| Base number used for computing the standard deviations for the components of the satellite position and velocity (units: mm and 10**-4 mm/sec).
double | clockStdDev
| Base number for computing the standard deviations for the clock correction and the rate-of-change of the clock correction (units: picosec and 10**-4 picosec/sec).
String[] | comments
| Comments in lines 19 to 22.
double | deltaTaiGps
| Delta TAI-GPS [seconds].
OsvRecSP3[] | osvRecSP3
| Lists of state vectors for all the satellites.

## Detailed Description

Class for reading SP3 files.

## Constructor & Destructor Documentation

EECFI.SP3File.SP3File | ( |  | ) |

Constructor.

EECFI.SP3File.SP3File | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

void EECFI.SP3File::read | ( | OsvListReadConfiguration | osvListReadConfig | ) | throws CfiError

Read the file data block (base method, called by the other methods).

Parameters:

  | osvListReadConfig | Configuration for reading OSV state vectors.

void EECFI.SP3File.read | ( |  | ) | throws CfiError

Read the whole file data block.

## Member Data Documentation

String EECFI.SP3File.agency

Name of the agency that generated the file.

double EECFI.SP3File.clockStdDev

Base number for computing the standard deviations for the clock correction and the rate-of-change of the clock correction (units: picosec and 10**-4 picosec/sec).

String [] EECFI.SP3File.comments

Comments in lines 19 to 22.

String EECFI.SP3File.coordinateSystem

Name of the coordinate system used as written in SP3 file.

String EECFI.SP3File.dataUsed

Data used descriptor.

double EECFI.SP3File.deltaTaiGps

Delta TAI-GPS [seconds].

double EECFI.SP3File.epochIntervalSeconds

Epoch interval in seconds.

long EECFI.SP3File.fileTypeDescriptor

File descriptor (XDCFISP3FileDescriptorEnum).

double EECFI.SP3File.fractionalDay

Fractional part of the day (0.0 <= fractional < 1.0) at the start of the orbit.

double EECFI.SP3File.globalTimeStart

Gegorian initial time for all the file (MJD2000).

long EECFI.SP3File.gpsWeek

GPS week.

double EECFI.SP3File.julianDateStart

Modified Julina day start.

long EECFI.SP3File.numSat

Number of satellites.

String EECFI.SP3File.orbitType

Orbit type descriptor.

OsvRecSP3 [] EECFI.SP3File.osvRecSP3

Lists of state vectors for all the satellites.

double EECFI.SP3File.posVelStdDev

Base number used for computing the standard deviations for the components of the satellite position and velocity (units: mm and 10**-4 mm/sec).

double EECFI.SP3File.secondsOfWeek

Seconds of the week elapsed at the start of the orbit.

long EECFI.SP3File.timeSystemIndicator

Time system used in file (XDSP3TimeSystemEnum).

long EECFI.SP3File.type

XDCFISP3FileTypeEnum (position of position+velocity).